=== debian/changelog ===
ros-indigo-mcl-3dl (0.1.4-0trusty) trusty; urgency=high

  * Fix IO figure (#212 <https://github.com/at-wat/mcl_3dl/issues/212>)
  * Fix tf timestamp (#214 <https://github.com/at-wat/mcl_3dl/issues/214>)
  * Add pf::ParticleFilter::appendParticle (#207 <https://github.com/at-wat/mcl_3dl/issues/207>)
  * Fix pointer alignment style (#210 <https://github.com/at-wat/mcl_3dl/issues/210>)
  * Migrate tf to tf2 (#208 <https://github.com/at-wat/mcl_3dl/issues/208>)
  * Fix class member naming style (#205 <https://github.com/at-wat/mcl_3dl/issues/205>)
  * Make lidar measurement model class (#195 <https://github.com/at-wat/mcl_3dl/issues/195>)
  * Add I/O diagram to the document (#199 <https://github.com/at-wat/mcl_3dl/issues/199>)
  * Update Algorithms.md (#198 <https://github.com/at-wat/mcl_3dl/issues/198>)
  * Add apt-get upgrade to test Dockerfiles (#197 <https://github.com/at-wat/mcl_3dl/issues/197>)
  * Add document for expansion resetting (#193 <https://github.com/at-wat/mcl_3dl/issues/193>)
  * Add test for expansion resetting (#192 <https://github.com/at-wat/mcl_3dl/issues/192>)
  * Add test for global localization (#188 <https://github.com/at-wat/mcl_3dl/issues/188>)
  * Refactor likelihood calculation (#189 <https://github.com/at-wat/mcl_3dl/issues/189>)
  * Add a comment to test_transform_failure (#184 <https://github.com/at-wat/mcl_3dl/issues/184>)
  * Build mcl_3dl_msgs from source on CI (#185 <https://github.com/at-wat/mcl_3dl/issues/185>)
  * Fix resampling (#183 <https://github.com/at-wat/mcl_3dl/issues/183>)
  * Fix test failure on ROS buildfarm (#181 <https://github.com/at-wat/mcl_3dl/issues/181>)
  * Fix catkin package definitions (#180 <https://github.com/at-wat/mcl_3dl/issues/180>)
  * Add tf exception handling and change message level (#177 <https://github.com/at-wat/mcl_3dl/issues/177>)
  * Relax codecov patch threshold (#179 <https://github.com/at-wat/mcl_3dl/issues/179>)
  * Allow small coverage drop (#178 <https://github.com/at-wat/mcl_3dl/issues/178>)
  * Fix test names (#176 <https://github.com/at-wat/mcl_3dl/issues/176>)
  * Add build id to CI bot comment (#174 <https://github.com/at-wat/mcl_3dl/issues/174>)
  * Fold CI bot comment (#173 <https://github.com/at-wat/mcl_3dl/issues/173>)
  * Decrease bag playback rate in integration test (#172 <https://github.com/at-wat/mcl_3dl/issues/172>)
  * Add test for NormalLikelihoodNd (#171 <https://github.com/at-wat/mcl_3dl/issues/171>)
  * Report coverage only after successful test (#170 <https://github.com/at-wat/mcl_3dl/issues/170>)
  * Add CI badges (#169 <https://github.com/at-wat/mcl_3dl/issues/169>)
  * Add codecov covarage test (#168 <https://github.com/at-wat/mcl_3dl/issues/168>)
  * Fix bot comment target slug (#167 <https://github.com/at-wat/mcl_3dl/issues/167>)
  * Contributors: Atsushi Watanabe, So Jomura

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 20 Dec 2018 00:00:00 -0000

ros-indigo-mcl-3dl (0.1.3-0trusty) trusty; urgency=high

  * Fix install of demo launch and config (#164 <https://github.com/at-wat/mcl_3dl/issues/164>)
  * Update CI and add test on ROS Melodic (#155 <https://github.com/at-wat/mcl_3dl/issues/155>)
  * Ignore gh-pr-comment failure (#162 <https://github.com/at-wat/mcl_3dl/issues/162>)
  * Compile with PCL_NO_PRECOMPILE (#161 <https://github.com/at-wat/mcl_3dl/issues/161>)
  * Fix rostest dependency (#160 <https://github.com/at-wat/mcl_3dl/issues/160>)
  * Fix roslint dependency (#159 <https://github.com/at-wat/mcl_3dl/issues/159>)
  * Update install instructions in README (#158 <https://github.com/at-wat/mcl_3dl/issues/158>)
  * Update manifest format and fix CMakeLists (#157 <https://github.com/at-wat/mcl_3dl/issues/157>)
  * Use mcl_3dl_msgs package (#152 <https://github.com/at-wat/mcl_3dl/issues/152>)
  * Test with shadow-fixed repository (#154 <https://github.com/at-wat/mcl_3dl/issues/154>)
  * Update CI bot environments (#150 <https://github.com/at-wat/mcl_3dl/issues/150>)
  * Add encrypted token for image caching (#149 <https://github.com/at-wat/mcl_3dl/issues/149>)
  * Fix migration instruction message (#147 <https://github.com/at-wat/mcl_3dl/issues/147>)
  * Fix match ratio min/max check (#146 <https://github.com/at-wat/mcl_3dl/issues/146>)
  * Add interfaces to ChunkedKdtree for external usages (#145 <https://github.com/at-wat/mcl_3dl/issues/145>)
  * Install headers (#143 <https://github.com/at-wat/mcl_3dl/issues/143>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 23 Jun 2018 00:00:00 -0000

ros-indigo-mcl-3dl (0.1.2-0trusty) trusty; urgency=high

  * Workaround for debian stretch build (#140 <https://github.com/at-wat/mcl_3dl/issues/140>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 27 Apr 2018 00:00:00 -0000

ros-indigo-mcl-3dl (0.1.1-0trusty) trusty; urgency=high

  * Update CI settings (#136 <https://github.com/at-wat/mcl_3dl/issues/136>)
  * Remove CMake warning message (#134 <https://github.com/at-wat/mcl_3dl/issues/134>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 25 Apr 2018 00:00:00 -0000

ros-indigo-mcl-3dl (0.1.0-0trusty) trusty; urgency=high

  * Migrate to ROS recommended namespace model (#130 <https://github.com/at-wat/mcl_3dl/issues/130>)
  * Minor CI setting updates (#129 <https://github.com/at-wat/mcl_3dl/issues/129>)
  * Fix package deps (#127 <https://github.com/at-wat/mcl_3dl/issues/127>)
  * Fix dockerfile style (#125 <https://github.com/at-wat/mcl_3dl/issues/125>)
  * Load CI cache from docker hub registry (#124 <https://github.com/at-wat/mcl_3dl/issues/124>)
    
      * also add build matrix
    
  * Add raycast performance benchmark (#123 <https://github.com/at-wat/mcl_3dl/issues/123>)
  * Fix GLOBAL_LOCALIZATION status (#122 <https://github.com/at-wat/mcl_3dl/issues/122>)
  * Add localization status output (#120 <https://github.com/at-wat/mcl_3dl/issues/120>)
  * Fix nodehandle usage (#121 <https://github.com/at-wat/mcl_3dl/issues/121>)

